### Syncfusion WPF Tools components
This package contains [WPF AutoComplete](https://www.syncfusion.com/wpf-controls/autocomplete?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF DockingManager](https://www.syncfusion.com/wpf-controls/docking?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF Navigation Pane](https://www.syncfusion.com/wpf-controls/navigation-pane?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF Hierarchy Navigator](https://www.syncfusion.com/wpf-controls/breadcrumb?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF Range Slider](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF Ribbon](https://www.syncfusion.com/wpf-controls/ribbon?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF TabControl](https://www.syncfusion.com/wpf-controls/tabcontrol?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF Wizard](https://www.syncfusion.com/wpf-controls/wizard-control?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), and [WPF Badge](https://www.syncfusion.com/wpf-controls/badge?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) components for WPF application.

### System Requirements

* [System Requirements](https://help.syncfusion.com/wpf/installation/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### WPF AutoComplete

The [WPF AutoComplete](https://www.syncfusion.com/wpf-controls/autocomplete?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) component provides a common autocomplete text box to select values from a predefined list easily and adds the common autocomplete paradigm to text boxes. The control is loaded with features to help you customize the behavior, look, and feel in many different ways.

![WPF AutoComplete](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_autocomplete.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/autocomplete?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/autocomplete/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF AutoComplete](https://help.syncfusion.com/wpf/autocomplete/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### WPF DockingManager

The [WPF DockingManager](https://www.syncfusion.com/wpf-controls/docking?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) (DockPanel) component provides an interface to create Visual Studio-like dockable windows in your applications. Dock panels support many interactions like docking, floating, tabbing, autohiding and grouping document tabs. Tab groups split the workspace and allow users to work with two or more open documents. Users can resize, move, and change the behavior of windows to create a layout that suits various development models.

![WPF DockingManager](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-dockingmanager.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/docking?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/docking/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF DockingManager](https://help.syncfusion.com/wpf/docking/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### WPF Navigation Pane

The [WPF Navigation Pane](https://www.syncfusion.com/wpf-controls/navigation-pane?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) provides a navigation UI similar to Microsoft Outlook with support to expand and collapse a view using its header. It supports different orientations, multiple expansion modes to work with one or more items in the view, built-in Office-like styles, and more.

![WPF Navigation Pane](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-groupbar.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/navigation-pane?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/navigation-pane/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF Navigation Pane](https://help.syncfusion.com/wpf/navigation-pane/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### WPF Hierarchy Navigator

The [WPF Hierarchy Navigator](https://www.syncfusion.com/wpf-controls/breadcrumb?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) component navigation control that allows users to keep track of their location while navigating the application along with their history. It provides command binding with MVVM support and data binding via object collection and XML. Other important features include editing, keyboard navigation, history of past navigations, etc.

![WPF Hierarchy Navigator](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-hierarchynavigator.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/breadcrumb?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/breadcrumb/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF Hierarchy Navigator](https://help.syncfusion.com/wpf/breadcrumb/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### WPF Range Slider

The [WPF Range Slider](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) component allows you select a range of values within a specified minimum and maximum limit. The range can be selected by moving the thumb control along a track. The control is intended to provide a UI to filter collection items within a range.

![WPF Range Slider](https://cdn.syncfusion.com/nuget-readme/wpf/wpf_rangeslider.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/range-slider?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/range-slider/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF Range Slider](https://help.syncfusion.com/wpf/range-slider/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### WPF Ribbon

The [WPF Ribbon](https://www.syncfusion.com/wpf-controls/ribbon?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) (ribbon menu) accommodates all the tools required for an application in a single, easy-to-navigate user interface similar to Microsoft Office. Its dynamic resizing, keyboard accessibility, and complete customization options help organize an application.

![WPF Ribbon](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-ribbon.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/ribbon?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/ribbon/gettingstarted?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF Ribbon](https://help.syncfusion.com/wpf/ribbon/gettingstarted?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### WPF TabControl

The [WPF TabControl](https://www.syncfusion.com/wpf-controls/tabcontrol?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) provides an efficient interface for displaying multiple tabs and helps arrange content in a compact and organized form in less space. It provides powerful data-binding support for tab headers and content. It also provides different tab orientations, text alignment, options to hide or create new tabs, editable headers, and complete customization options.

![WPF TabControl](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-tabcontrol.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/tabcontrol?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/tabcontrol/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF TabControl](https://help.syncfusion.com/wpf/tabcontrol/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### WPF Wizard

The [WPF Wizard](https://www.syncfusion.com/wpf-controls/wizard-control?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) component provides an interface to create a multi-step wizard that guides users to complete a specific process such as installation or updates. It supports moving to the next and previous dialogs interactively.

![WPF Wizard](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-wizardcontrol.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/wizard-control?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/wizard-control/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF Wizard](https://help.syncfusion.com/wpf/wizard-control/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### WPF Badge

The [WPF Badge](https://www.syncfusion.com/wpf-controls/badge?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) is a notification control that is used to notify users of new or unread messages, notifications, status, and more. They can easily be integrated with controls like ListBox, TabControl, and more.

![WPF Badge](https://cdn.syncfusion.com/nuget-readme/wpf/wpf-badge.png)

[Features Overview](https://www.syncfusion.com/wpf-controls/badge?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Docs](https://help.syncfusion.com/wpf/badge/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Online Demo](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Forums](https://www.syncfusion.com/forums/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

#### Getting Started

* [Getting Started with WPF Badge](https://help.syncfusion.com/wpf/badge/getting-started?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)

### License

This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget). You can purchase a license [here](https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget).

### About Syncfusion

Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 29,000 customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.
 
Today, we provide 1800+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [ASP.NET Web Forms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), and [jQuery](https://www.syncfusion.com/jquery-ui-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)), mobile ([.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [.NET MAUI](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget), and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20WPF%20Tools%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-tools-nuget) | Toll Free: 1-888-9 DOTNET


